class RequestDetails {
  int? iD;
  int? itemID;
  String? listID;
  String? listName;
  String? modifiedDate;
  String? title;
  String? uRL;
  String? requestType;

  RequestDetails({this.iD, this.itemID, this.listID, this.listName, this.modifiedDate, this.title, this.uRL,this.requestType});

  RequestDetails.fromJson(Map<String, dynamic> json) {
    iD = json['ID'];
    itemID = json['ItemID'];
    listID = json['ListID'];
    listName = json['ListName'];
    modifiedDate = json['ModifiedDate'];
    title = json['Title'];
    uRL = json['URL'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['ID'] = this.iD;
    data['ItemID'] = this.itemID;
    data['ListID'] = this.listID;
    data['ListName'] = this.listName;
    data['ModifiedDate'] = this.modifiedDate;
    data['Title'] = this.title;
    data['URL'] = this.uRL;
    return data;
  }
}
